#footer {
	padding-top: 2.5rem;
	background-color: $black;

	.copyright-link {
		@include media-breakpoint-down(sm) {
			letter-spacing: 2px;
		}

		background: $brand-primary;
		text-transform: uppercase;
		letter-spacing: 4px;
		font-size: 10px;

		a {
			color: $white;
		}
	}

	.sub-footer-logo {
		text-align: center;

		.top-up {
			color: $brand-primary;
		}

		hr.line {
			max-width: 50%;
			border-top: 1px solid $white;
		}

		ul {
			display: flex;
			justify-content: center;

			li {
				margin: 0 10px;

				a {
					color: $white;
					font-size: 18px;

					&:hover {
						color: $brand-primary;
					}
				}
			}
		}
	}
}

.block-contact {
	font-size: 0.875rem;
	color: $white;
    font-size: 10px;
    letter-spacing: 2px;
    text-transform: uppercase;

	.block-contact-title {
		color: $gray-darker;
	}

	.navbar-toggler .material-icons {
		color: $gray-darker;
	}

	@include media-breakpoint-down(sm) {
		#contact-infos {
			padding: 0.625rem;
			padding-top: 0;
		}
	}
}

.linklist {
	.blockcms-title a {
		color: $gray-darker;
	}
}

.account-list a {
	color: $gray;

	&:hover {
		color: $brand-primary;
	}
}

.blockcms-title,
.myaccount-title,
.myaccount-title a,
.block-contact-title {
	font-size: $base-font-size;
	font-weight: 700;
}

.block-social {
	text-align: right;

	ul {
		display: flex;

		@include media-breakpoint-down(sm) {
			flex-flow: wrap;
		}

		li {
			display: inline-block;
			width: 2.5rem;
			height: 2.5rem;
			margin: 0.125rem;
			cursor: pointer;
			background-color: $gray-light;
			background-repeat: no-repeat;

			@include media-breakpoint-down(sm) {
				width: 2rem;
				height: 2rem;
				margin-right: 1.3rem;
				margin-bottom: 1.3rem;
				background-size: contain;
			}

			&:hover {
				background-color: $brand-primary;
			}

			a {
				display: block;
				height: 100%;
				overflow: hidden;
				text-indent: 100%;
				white-space: nowrap;

				&:hover {
					color: transparent;
				}
			}
		}
	}
}

.facebook {
	background-image: url("../img/facebook.svg");

	&::before {
		content: "";
		background-image: url("../img/facebook-blue.svg");
	}

	&.icon-gray {
		background-image: url("../img/facebook-gray.svg");

		&:hover {
			background-image: url("../img/facebook-blue.svg");
		}
	}
}

.twitter {
	background-image: url("../img/twitter.svg");

	&::before {
		content: "";
		background-image: url("../img/twitter-blue.svg");
	}

	&.icon-gray {
		background-image: url("../img/twitter-gray.svg");

		&:hover {
			background-image: url("../img/twitter-blue.svg");
		}
	}
}

.linkedin {
	background-image: url("../img/linkedin.svg");
	background-position: center center;
}

.rss {
	background-image: url("../img/rss.svg");
}

.youtube {
	background-image: url("../img/youtube.svg");
}

.googleplus {
	background-image: url("../img/gplus.svg");

	&::before {
		content: "";
		background-image: url("../img/gplus-blue.svg");
	}

	&.icon-gray {
		background-image: url("../img/gplus-gray.svg");

		&:hover {
			background-image: url("../img/gplus-blue.svg");
		}
	}
}

#block_myaccount_infos {
	.myaccount-title a {
		color: $white;
		font-size: 13px;
	}
}

.pinterest {
	background-image: url("../img/pinterest.svg");

	&::before {
		content: "";
		background-image: url("../img/pinterest-blue.svg");
	}

	&.icon-gray {
		background-image: url("../img/pinterest-gray.svg");

		&:hover {
			background-image: url("../img/pinterest-blue.svg");
		}
	}
}

.vimeo {
	background-image: url("../img/vimeo.svg");
}

.instagram {
	background-image: url("../img/instagram.svg");
}

.footer-container {
	padding-top: $extra-large-space;
	overflow: hidden;

	.h3,
	.h4 {
		margin-bottom: 30px;
		font-size: 13px;
		color: $white;
		letter-spacing: 2px;
	}

	li {
		margin-bottom: 0.3125rem;
	}

	li a {
		font-size: 10px;
		letter-spacing: 2px;
		color: $white;
		text-transform: uppercase;
		cursor: pointer;

		&:hover {
			color: $brand-primary;
			text-decoration: underline;
		}
	}
}

@include media-breakpoint-up(md) {
	.collapse:not(.show) {
		display: block;
	}
}

@include media-breakpoint-down(sm) {
	.block_newsletter {
		padding-bottom: 0.625rem;
		border-bottom: 1px solid $gray-lighter;
	}

	.footer-container {
		margin-top: 0;
		box-shadow: none;

		.wrapper {
			/* stylelint-disable */
			padding-right: 0 !important;
			padding-left: 0 !important;
			/* stylelint-enable */
		}

		.links {
			.h3 {
				font-size: 1rem;
				line-height: 1.5;
			}

			ul {
				margin-bottom: 0;
				background-color: $gray-lighter;

				> li {
					padding: 0.625rem;
					font-weight: 600;
					border-bottom: 1px solid $white;

					a {
						color: $gray-darker;
					}
				}
			}
		}
	}

	.links {
		.title {
			padding: 0.625rem 15px;
			cursor: pointer;
			border-bottom: 1px solid $gray-lighter;

			.collapse-icons .remove {
				display: none;
			}
		}

		.title[aria-expanded="true"] .collapse-icons {
			.add {
				display: none;
			}

			.remove {
				display: block;
			}
		}

		.navbar-toggler {
			display: inline-block;
			padding: 0;
		}
	}
}

@include media-breakpoint-down(md) {
	.block-social {
		text-align: center;
	}

	.block-contact {
		padding-left: 1.5rem;
	}
}
